KDE 4.7 PyKDE API Reference

- KDE's Python API

# TcpClient Class Reference

`from PyKDE4.soprano import *`

Inherits: QObject,Soprano.Error.ErrorCache
Namespace: Soprano.Client

## Detailed Description

## Attributes
int | DEFAULT_PORT
## Methods
| __init__ (self, QObject parent=0)
bool | connect (self, QHostAddress address=QHostAddress.LocalHost, int port=Soprano.Server.ServerCore.DEFAULT_PORT)
Soprano.Model | createModel (self, QString name, [Soprano.BackendSetting] settings=QList())
| disconnect (self)
bool | isConnected (self)
| removeModel (self, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

bool connect | ( | self, |
|  | QHostAddress | address=QHostAddress.LocalHost,
|  | int | port=Soprano.Server.ServerCore.DEFAULT_PORT
| ) |  |  |

Soprano.Model createModel | ( | self, |
|  | QString | name,
|  | [Soprano.BackendSetting] | settings=QList()
| ) |  |  |

disconnect | ( |  | self ) |

bool isConnected | ( |  | self ) |

removeModel | ( | self, |
|  | QString | name
| ) |  |  |

## Attribute Documentation

int DEFAULT_PORT